/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

.primary-nav {

    display: block;

    ul {
        display: flex;
        align-items: center;
        justify-content: flex-start;
        gap: rem(8);
        padding: 0;
        margin: 0;

        li {

            position: relative;

            a,
            router-link {
                display: block;
                text-decoration: none;
                font-size: rem(14);
                padding: rem(16);
                color: var(--color-default-1);
                font-weight: 600;
                border-radius: rem(200);
                line-height: rem(14);
                border: 1px solid rgba(133, 127, 228, 0.2);
                transition: all 0.3s ease;

                &.router-link-active {
                    color: var(--white);
                    border-color: var(--color-default-2);
                    background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);

                }

                &:hover {
                    color: var(--white);
                    border-color: var(--color-default-2);
                }

                .icon {
                    font-size: rem(8);
                    width: rem(8);
                    height: rem(8);
                    display: inline-block;
                    vertical-align: middle;
                    margin-left: rem(8);
                }

            }

            .submenu {
                display: none;
                position: absolute;
                top: 47px;
                left: 0;
                // transform: translate(-50%, calc(100% + rem(8)));
                flex-direction: column;
                gap: rem(8);
                border-radius: rem(16);
                z-index: 2;

                li{
                    margin-top: rem(8);

                    a{
                        width: max-content;

                        &:hover{
                            color: var(--white);
                            border-color: var(--color-default-2);
                            background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
                        }
                    }
                }
            }

            &:hover,
            &:focus-within {

                .submenu {
                    display: block;
                }

            }

        }

    }

}